Package org.eclipse.birt.chart.device

# Interface IStructureDefinitionListener

All Known Subinterfaces:
  `IDeviceRenderer`

All Known Implementing Classes:
  `DeviceAdapter`

public interface IStructureDefinitionListener
Notifies a listener of group change events associated with a structure being rendered.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`AFTER_DRAW_AXIS_LABEL`
Comment for `AFTER_DRAW_AXIS_LABEL`
`static final String`
`AFTER_DRAW_AXIS_TITLE`
Comment for `AFTER_DRAW_AXIS_TITLE`
`static final String`
`AFTER_DRAW_BLOCK`
Comment for `AFTER_DRAW_BLOCK`
`static final String`
`AFTER_DRAW_DATA_POINT`
Comment for `AFTER_DRAW_DATA_POINT`
`static final String`
`AFTER_DRAW_DATA_POINT_LABEL`
Comment for `AFTER_DRAW_DATA_POINT_LABEL`
`static final String`
`AFTER_DRAW_ELEMENT`
Deprecated.
Not used anymore.
`static final String`
`AFTER_DRAW_FITTING_CURVE`
Comment for `AFTER_DRAW_FITTING_CURVE`
`static final String`
`AFTER_DRAW_LEGEND_ENTRY`
Comment for `AFTER_DRAW_LEGEND_ENTRY`
`static final String`
`AFTER_DRAW_LEGEND_ITEM`
Comment for `AFTER_DRAW_LEGEND_ITEM`
`static final String`
`AFTER_DRAW_MARKER`
Comment for `AFTER_DRAW_MARKER`
`static final String`
`AFTER_DRAW_MARKER_LINE`
Comment for `AFTER_DRAW_MARKER_LINE`
`static final String`
`AFTER_DRAW_MARKER_RANGE`
Comment for `AFTER_DRAW_MARKER_RANGE`
`static final String`
`AFTER_DRAW_SERIES`
Comment for `AFTER_DRAW_SERIES`
`static final String`
`AFTER_DRAW_SERIES_TITLE`
Comment for `AFTER_DRAW_SERIES_TITLE`
`static final String`
`BEFORE_DRAW_AXIS_LABEL`
Comment for `BEFORE_DRAW_AXIS_LABEL`
`static final String`
`BEFORE_DRAW_AXIS_TITLE`
Comment for `BEFORE_DRAW_AXIS_TITLE`
`static final String`
`BEFORE_DRAW_BLOCK`
Comment for `BEFORE_DRAW_BLOCK`
`static final String`
`BEFORE_DRAW_DATA_POINT`
Comment for `BEFORE_DRAW_DATA_POINT`
`static final String`
`BEFORE_DRAW_DATA_POINT_LABEL`
Comment for `BEFORE_DRAW_DATA_POINT_LABEL`
`static final String`
`BEFORE_DRAW_ELEMENT`
Deprecated.
Not used anymore.
`static final String`
`BEFORE_DRAW_FITTING_CURVE`
Comment for `BEFORE_DRAW_FITTING_CURVE`
`static final String`
`BEFORE_DRAW_LEGEND_ENTRY`
Comment for `BEFORE_DRAW_LEGEND_ENTRY`
`static final String`
`BEFORE_DRAW_LEGEND_ITEM`
Comment for `BEFORE_DRAW_LEGEND_ITEM`
`static final String`
`BEFORE_DRAW_MARKER`
Comment for `BEFORE_DRAW_MARKER`
`static final String`
`BEFORE_DRAW_MARKER_LINE`
Comment for `BEFORE_DRAW_MARKER_LINE`
`static final String`
`BEFORE_DRAW_MARKER_RANGE`
Comment for `BEFORE_DRAW_MARKER_RANGE`
`static final String`
`BEFORE_DRAW_SERIES`
Comment for `BEFORE_DRAW_SERIES`
`static final String`
`BEFORE_DRAW_SERIES_TITLE`
Comment for `BEFORE_DRAW_SERIES_TITLE`

## Method Summary

Modifier and Type
Method
Description
`void`
`changeStructure(StructureChangeEvent scev)`
Sends out a notification to a listener indicating that a structure group has changed (either via a start or end) notification.

## Field Details

### BEFORE_DRAW_BLOCK

static final String BEFORE_DRAW_BLOCK
Comment for `BEFORE_DRAW_BLOCK`

See Also:
  - Constant Field Values

### AFTER_DRAW_BLOCK

static final String AFTER_DRAW_BLOCK
Comment for `AFTER_DRAW_BLOCK`

See Also:
  - Constant Field Values

### BEFORE_DRAW_LEGEND_ENTRY

static final String BEFORE_DRAW_LEGEND_ENTRY
Comment for `BEFORE_DRAW_LEGEND_ENTRY`

See Also:
  - Constant Field Values

### AFTER_DRAW_LEGEND_ENTRY

static final String AFTER_DRAW_LEGEND_ENTRY
Comment for `AFTER_DRAW_LEGEND_ENTRY`

See Also:
  - Constant Field Values

### BEFORE_DRAW_LEGEND_ITEM

static final String BEFORE_DRAW_LEGEND_ITEM
Comment for `BEFORE_DRAW_LEGEND_ITEM`

See Also:
  - Constant Field Values

### AFTER_DRAW_LEGEND_ITEM

static final String AFTER_DRAW_LEGEND_ITEM
Comment for `AFTER_DRAW_LEGEND_ITEM`

See Also:
  - Constant Field Values

### BEFORE_DRAW_SERIES

static final String BEFORE_DRAW_SERIES
Comment for `BEFORE_DRAW_SERIES`

See Also:
  - Constant Field Values

### AFTER_DRAW_SERIES

static final String AFTER_DRAW_SERIES
Comment for `AFTER_DRAW_SERIES`

See Also:
  - Constant Field Values

### BEFORE_DRAW_SERIES_TITLE

static final String BEFORE_DRAW_SERIES_TITLE
Comment for `BEFORE_DRAW_SERIES_TITLE`

See Also:
  - Constant Field Values

### AFTER_DRAW_SERIES_TITLE

static final String AFTER_DRAW_SERIES_TITLE
Comment for `AFTER_DRAW_SERIES_TITLE`

See Also:
  - Constant Field Values

### BEFORE_DRAW_MARKER

static final String BEFORE_DRAW_MARKER
Comment for `BEFORE_DRAW_MARKER`

See Also:
  - Constant Field Values

### AFTER_DRAW_MARKER

static final String AFTER_DRAW_MARKER
Comment for `AFTER_DRAW_MARKER`

See Also:
  - Constant Field Values

### BEFORE_DRAW_MARKER_LINE

static final String BEFORE_DRAW_MARKER_LINE
Comment for `BEFORE_DRAW_MARKER_LINE`

See Also:
  - Constant Field Values

### AFTER_DRAW_MARKER_LINE

static final String AFTER_DRAW_MARKER_LINE
Comment for `AFTER_DRAW_MARKER_LINE`

See Also:
  - Constant Field Values

### BEFORE_DRAW_MARKER_RANGE

static final String BEFORE_DRAW_MARKER_RANGE
Comment for `BEFORE_DRAW_MARKER_RANGE`

See Also:
  - Constant Field Values

### AFTER_DRAW_MARKER_RANGE

static final String AFTER_DRAW_MARKER_RANGE
Comment for `AFTER_DRAW_MARKER_RANGE`

See Also:
  - Constant Field Values

### BEFORE_DRAW_ELEMENT

@Deprecated static final String BEFORE_DRAW_ELEMENT
Deprecated.
Not used anymore. This is kept just for backward compatibility.
Comment for `BEFORE_DRAW_ELEMENT`

See Also:
  - Constant Field Values

### AFTER_DRAW_ELEMENT

@Deprecated static final String AFTER_DRAW_ELEMENT
Deprecated.
Not used anymore. This is kept just for backward compatibility.
Comment for `AFTER_DRAW_ELEMENT`

See Also:
  - Constant Field Values

### BEFORE_DRAW_FITTING_CURVE

static final String BEFORE_DRAW_FITTING_CURVE
Comment for `BEFORE_DRAW_FITTING_CURVE`

See Also:
  - Constant Field Values

### AFTER_DRAW_FITTING_CURVE

static final String AFTER_DRAW_FITTING_CURVE
Comment for `AFTER_DRAW_FITTING_CURVE`

See Also:
  - Constant Field Values

### BEFORE_DRAW_DATA_POINT

static final String BEFORE_DRAW_DATA_POINT
Comment for `BEFORE_DRAW_DATA_POINT`

See Also:
  - Constant Field Values

### AFTER_DRAW_DATA_POINT

static final String AFTER_DRAW_DATA_POINT
Comment for `AFTER_DRAW_DATA_POINT`

See Also:
  - Constant Field Values

### BEFORE_DRAW_DATA_POINT_LABEL

static final String BEFORE_DRAW_DATA_POINT_LABEL
Comment for `BEFORE_DRAW_DATA_POINT_LABEL`

See Also:
  - Constant Field Values

### AFTER_DRAW_DATA_POINT_LABEL

static final String AFTER_DRAW_DATA_POINT_LABEL
Comment for `AFTER_DRAW_DATA_POINT_LABEL`

See Also:
  - Constant Field Values

### BEFORE_DRAW_AXIS_LABEL

static final String BEFORE_DRAW_AXIS_LABEL
Comment for `BEFORE_DRAW_AXIS_LABEL`

See Also:
  - Constant Field Values

### AFTER_DRAW_AXIS_LABEL

static final String AFTER_DRAW_AXIS_LABEL
Comment for `AFTER_DRAW_AXIS_LABEL`

See Also:
  - Constant Field Values

### BEFORE_DRAW_AXIS_TITLE

static final String BEFORE_DRAW_AXIS_TITLE
Comment for `BEFORE_DRAW_AXIS_TITLE`

See Also:
  - Constant Field Values

### AFTER_DRAW_AXIS_TITLE

static final String AFTER_DRAW_AXIS_TITLE
Comment for `AFTER_DRAW_AXIS_TITLE`

See Also:
  - Constant Field Values

## Method Details

### changeStructure

void changeStructure(StructureChangeEvent scev)
Sends out a notification to a listener indicating that a structure group has changed (either via a start or end) notification.

Parameters:
  `scev` - Encapsulated information associated with the structure change notification that identifies the source object being changed.